Package org.jcsp.net.tcpip

# Class TCPIPCNSServer2

java.lang.Object
org.jcsp.net.tcpip.TCPIPCNSServer2

public class TCPIPCNSServer2 extends Object

Program to run a Channel Name Service. The service will listen on all locally available addresses using either a default port of 7890 or a port specified in the XML file.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Main method, running the service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args)
Main method, running the service. This will never terminate if the service can be started.